Debian Bug report logs - #372731
policy: please say which control fields can line-wrap

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Peter Samuelson <peter@p12n.org>

Date: Sun, 11 Jun 2006 11:34:38 UTC

Severity: normal

Found in version debian-policy/3.7.2.0

Fixed in version debian-policy/3.7.2.1

Done: Manoj Srivastava <srivasta@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#372731; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: submit@bugs.debian.org
Subject: policy: please say which control fields can line-wrap
Date: Sun, 11 Jun 2006 06:12:17 -0500
[Message part 1 (text/plain, inline)]
Package: debian-policy
Version: 3.7.2.0

From upgrading-checklist:
  * All fields, apart from the Uploaders field, in the control file are
    supposed to be a single logical line, which may be spread over
    multiple physical lines (newline followed by space is elided).

Policy 5.1:
  Some fields' values may span several lines; in this case each
  continuation line must start with a space or a tab.
  [...]
  Except where otherwise stated, only a single line of data is allowed
  and whitespace is not significant in a field body.

Policy 5.2:
  Many fields are permitted to span multiple lines in `debian/control'
  but not in any other control file.


Please specify which fields in debian/control are allowed to span
multiple physical lines.  "Some fields' values" and "Many fields" don't
tell us anything.  Or is upgrading-checklist supposed to be normative?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#372731; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 372731@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Peter Samuelson <peter@p12n.org>
Cc: 372731@bugs.debian.org
Subject: Re: Bug#372731: policy: please say which control fields can line-wrap
Date: Sun, 11 Jun 2006 09:38:30 -0700
Peter Samuelson <peter@p12n.org> writes:

> Package: debian-policy
> Version: 3.7.2.0

> From upgrading-checklist:
>   * All fields, apart from the Uploaders field, in the control file are
>     supposed to be a single logical line, which may be spread over
>     multiple physical lines (newline followed by space is elided).

> Policy 5.1:
>   Some fields' values may span several lines; in this case each
>   continuation line must start with a space or a tab.
>   [...]
>   Except where otherwise stated, only a single line of data is allowed
>   and whitespace is not significant in a field body.

> Policy 5.2:
>   Many fields are permitted to span multiple lines in `debian/control'
>   but not in any other control file.

> Please specify which fields in debian/control are allowed to span
> multiple physical lines.  "Some fields' values" and "Many fields" don't
> tell us anything.  Or is upgrading-checklist supposed to be normative?

It should say this in the specifications for those individual fields.  It
does for Uploaders, but it doesn't in section 7.1 for relationship fields.
That's the set that are allowed to be wrapped; wrapping doesn't really
make as much sense for the other fields.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Reply sent to Manoj Srivastava <srivasta@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Samuelson <peter@p12n.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 372731-close@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: 372731-close@bugs.debian.org
Subject: Bug#372731: fixed in debian-policy 3.7.2.1
Date: Mon, 19 Jun 2006 23:02:04 -0700
Source: debian-policy
Source-Version: 3.7.2.1

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.7.2.1.dsc
  to pool/main/d/debian-policy/debian-policy_3.7.2.1.dsc
debian-policy_3.7.2.1.tar.gz
  to pool/main/d/debian-policy/debian-policy_3.7.2.1.tar.gz
debian-policy_3.7.2.1_all.deb
  to pool/main/d/debian-policy/debian-policy_3.7.2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 372731@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manoj Srivastava <srivasta@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 20 Jun 2006 00:18:19 -0500
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.7.2.1
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Manoj Srivastava <srivasta@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 366032 366466 366889 369011 369413 369912 372147 372148 372497 372522 372731
Changes: 
 debian-policy (3.7.2.1) unstable; urgency=low
 .
   * Bug fix: "debian-policy: s/control are/&amp;a/; s/stats/status/;
     s/and/an/; s/'/&quot;/; s/rewind/unwind/; s/fact/&amp; that/; s/like
     like/look like/;", thanks to Justin Pryzby                (Closes: #372147).
   * Bug fix: "debian-policy: Minor typo in footnote 53", thanks to Jordà
     Polo                                                      (Closes: #372497).
   * Bug fix: "debian-policy: Typo in 9.1.1: &quot;'..' character&quot;
     should be &quot;'.' character&quot;", thanks to Matt Zagrabelny
                                                               (Closes: #372522).
   * Bug fix: "debian-policy: More typos in upgrading-checklist.txt",
     thanks to Kevin B. McCarty                                (Closes: #366466).
   * Bug fix: "typo: package remains in and &quot;Installed' state", thanks
     to Sam Hocevar \(Debian packages\)                        (Closes: #369413).
   * Bug fix: "debian-policy: Cleanup build-dependencies", thanks to Stefan
     Huehner                                                   (Closes: #366032).
   * Bug fix: "debian-policy: 2.2 should be named 'categories'", thanks to
     Thomas Weber                                              (Closes: #369912).
   * Bug fix: "debian-policy: old postinst abort-upgrade, not new", thanks
     to Justin Pryzby. The fix was thanks to Margarita Manterola
                                                               (Closes: #372148).
   * Bug fix: "policy: please say which control fields can line-wrap",
     thanks to Peter Samuelson                                 (Closes: #372731).
   * Bug fix: "debian/copyright should be mentioned in source section",
     thanks to Ian Jackson                                     (Closes: #369011).
   * Bug fix: "GNU office not on Temple Place anymore", thanks to Dan
     Jacobson                                                  (Closes: #366889).
Files: 
 95822650cc21e70c12f0d850cf01ce2f 807 doc optional debian-policy_3.7.2.1.dsc
 b42a2b4bc266d1f21218690ce0df1c61 788462 doc optional debian-policy_3.7.2.1.tar.gz
 93d94fd79594db536eb18c85379d2d93 1524050 doc optional debian-policy_3.7.2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEl4v4Ibrau78kQkwRAhU5AJ9A6vxwWTyJE/TRlaPliVuF5n/pOwCgqssQ
gXPciC8/80WPE6Z5pTYWbfg=
=GZw/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 02:54:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:55:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.